import { axios } from "@/api/index";
import { Edition } from "@/data/edition";
import { sampleEdition } from "@/provider/dummy";
import { delay } from "@/helpers";

const EDITIONS_ENDPOINT = "/editions";
const EDITION_INFO_ENDPOINT = "/editions/:key";
const REGISTER_ENDPOINT = "/register";

export async function editions() {
    const response = await axios.get(EDITIONS_ENDPOINT);

    return response.data;
}

export async function join(key: string): Promise<boolean> {
    try {
        await axios.post(REGISTER_ENDPOINT, JSON.stringify(key), { headers: { "Content-Type": "application/json" } });
        return true;
    } catch (error) {
        console.error(error);
        return false;
    }
}

// MOCK
export async function get(key: string): Promise<Edition | null> {
    await delay(Math.random() * 200 + 100);

    if (key == "inf2020") {
        return sampleEdition;
    }

    return null;
}
