import { Moment } from "moment";
import { Course } from "@/data/course";

export type Edition = {
    course: Course;
    startDate: Moment;
    endDate: Moment;
    proposalDeadline: Moment;
    minimumInternshipHours: number;
    maximumInternshipHours?: number;
}

export type Deadlines = {
    personalData?: Moment;
    proposal?: Moment;
    personalPlan?: Moment;
    report?: Moment;
    insurance?: Moment;
}

export function getEditionDeadlines(edition: Edition): Deadlines {
    return {
        proposal: edition.proposalDeadline,
        personalPlan: edition.proposalDeadline,
    }
}
