import { Company } from "@/data";
import { makeIdSequence } from "./helpers";

const companySequence = makeIdSequence();
const officeSequence = makeIdSequence();

export const sampleCompanies: Company[] = companySequence.assignIds([
    {
        name: "Intel",
        url: "https://www.intel.com/content/www/us/en/jobs/locations/poland.html",
        nip: "9570752316",
        offices: [{
            id: officeSequence(),
            address: {
                city: "Gdańsk",
                street: "ul. Słowackiego",
                building: "173",
                postalCode: "80-298",
                country: "Poland"
            }
        }]
    },
    {
        name: "IHS Markit",
        url: "http://ihsgdansk.com/",
        nip: "5842068320",
        offices: [{
            id: officeSequence(),
            address: {
                city: "Gdańsk",
                street: "ul. Marynarki Polskiej",
                building: "163",
                postalCode: "80-868",
                country: "Poland"
            }
        }]
    },
    {
        name: "Asseco Poland",
        url: "http://pl.asseco.com/",
        nip: "5842068320",
        offices: officeSequence.assignIds([{
            address: {
                city: "Gdynia",
                street: "ul. Podolska",
                building: "21",
                postalCode: "81-321",
                country: "Poland"
            }
        }, {
            address: {
                city: "Łódź",
                street: "al. Marszałka Józefa Piłsudskiego",
                building: "85",
                postalCode: "90-332",
                country: "Poland"
            }
        }, {
            address: {
                city: "Wrocław",
                street: "Traugutta",
                building: "1/7",
                postalCode: "50-449",
                country: "Poland"
            }
        }])
    }
])
