import { Identifiable } from "@/data";

type SequenceGenerator = {
    (): string;
    assignIds<T>(objects: T[]): T[];
}

export const makeIdSequence = (start: number = 1): SequenceGenerator => {
    let i = start;

    const sequence = () => (i++).toString();
    sequence.assignIds = <T extends Identifiable>(objects: T[]): T[] => objects.map(obj => ({ ...obj, id: sequence() }))

    return sequence as SequenceGenerator;
}
