import { Student } from "@/data";
import { UserAction, UserActions } from "@/state/actions/user";

export type StudentState = Student | null;

const initialStudentState: StudentState = null;

const studentReducer = (state: StudentState = initialStudentState, action: UserAction): StudentState => {
    switch (action.type) {
        case UserActions.Login:
            return action.student;

        case UserActions.Logout:
            return null;
    }

    return state;
}

export default studentReducer;
