import { Reducer } from "react";
import { UserAction, UserActions } from "@/state/actions/user";

export type UserState = {
    loggedIn: boolean;
    token?: string;
}

const initialUserState: UserState = {
    loggedIn: false,
}

const userReducer: Reducer<UserState, UserAction> = (state = initialUserState, action) => {
    switch (action.type) {
        case UserActions.Login:
            return {
                ...state,
                loggedIn: true,
                token: action.token,
            }

        case UserActions.Logout:
            return {
                loggedIn: false
            };
    }

    return state;
}

export default userReducer;
