import { createMuiTheme, responsiveFontSizes } from "@material-ui/core/styles";

export const studentTheme = responsiveFontSizes(createMuiTheme({
    props: {
        MuiGrid: {
            spacing: 3,
            xs: 12,
        },
        MuiContainer: {
            maxWidth: "md"
        },
        MuiTextField: {
            variant: "outlined",
        }
    },
    palette: {
        primary: {
            main: "#043865",
            dark: "#072138"
        }
    },
    typography: {
        h2: {
            fontSize: "3rem",
            fontWeight: 400,
            color: "#043865",
        },
        h3: {
            fontSize: "2.25rem",
            lineHeight: "1.2",
        },
        h4: {
            fontSize: "1.75rem"
        },
    },
    spacing: 8
}))
